html,
body {
    margin: 0;
    padding: 0;
    font-family: 'Lato', sans-serif;
    background-color: #000; 
    color: #fff; 
    display: flex;
    flex-direction: column;
    min-height: 100vh; 
    overflow-x: hidden; 
}

/* Navigation Bar */
		
        .navbar {
            display: flex;
            justify-content: space-between;
            align-items: center;
            background-color: #000;
            padding: 10px 20px;
            color: #fff;
            z-index: 1000;
        }

        .brand {
            font-size: 1.8rem;
            font-weight: normal;
            margin: 0;
            font-family: 'Abril Fatface';
            z-index: 5000;
        }
        .navbar .menu {
            display: flex;
            gap: 20px;
            list-style: none;
            margin: 0;
            padding: 0;
        }
        
        .navbar .menu li {
            display: inline;
        }
        
        .navbar .menu a {
            text-decoration: none;
            color: #fff;
            font-size: 1rem;
            transition: color 0.3s ease;
        }
        
        .navbar .menu a:hover {
            color: #bbb;
        }

        nav.translucent {
            background-color: rgba(0, 0, 0, 0.5);
        }
        

        .video-container {
            width: 60%;
            margin: 0 auto;
            padding-top: 8rem;
        }
        
        .video-container video {
            width: 100%;
            display: block;
            padding-top: 8rem;
            margin: auto;
        }
        
        .video-container .video-text {
            text-align: left;
            margin-top: 10px;
            font-family: 'Lato';
            color: white;
        }
        h3 {
            text-align: left;
            margin-top: 10px;
            font-family: 'Abril Fatface';
            color: white;
        }
        .comme25-container {
            width: 60%;
            margin: 0 auto;
        }
        .comme25-container video {
            width: 100%;
            display: block;
            padding-top: 8rem;
            margin: auto;
        }
        
        .comme25-container .slide-text {
            text-align: left;
            margin-top: 10px;
            font-family: Arial, sans-serif;
            font-family: 'Fahkwang', sans-serif;
            color: white;
        }
    
        /* Diaporama container */
.slideshow-container {
    position: relative;
    width: 100vw; 
    height: 100vh; 
    margin: 0; 
    padding: 0; 
    overflow: auto; 
    font-family: 'Fahkwang', sans-serif;
    
}

/* Diaporama slides */
.slide {
    display: none;
    width: 100%; 
    height: 100%;
    animation: slideTransition 1.5s ease-in-out;
}

/* Image styling */
.slide img {
    width: 100%; 
    height: 100%; 
    object-fit: cover; 
    object-position: center; 
    display: block;
}
/*  DIAPORAMA */

@keyframes slideTransition {
    from {
        opacity: 0;
        transform: translateX(50%);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

.slide.active {
    display: block;
    animation: slideTransition 1.5s ease-in-out;
}



.contact-button {
    text-decoration: none;
    color: #e8e8e8;
    padding: 15px 30px;
    width: 120px;
    height: 50px;
    font-weight: 600;
    cursor: pointer;
    border: none;
    overflow: hidden;
    background: linear-gradient(-45deg, #383736 0%, #100f0f 100% );
    transition: all 0.3s cubic-bezier(0.215, 0.610, 0.355, 1);
    position: fixed;
    display: inline-block;
    bottom: 40px;
    right: 40px;
    background-color: #111111;
    font-size: 1.1rem;
    z-index: 9999;
    border: 1px solid #212020;
    font-family: "Lato";
  }
  
  
  
  .contact-button span , .contact-button span::before {
    position: absolute;
    top: 0%;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    pointer-events: none;
    justify-content: center;
    transition: all 0.3s cubic-bezier(0.215, 0.610, 0.355, 1);
  }
  
  .contact-button span::before {
    content: 'Hello!';
    top: -100%;
  }
  
  .contact-button:before {
    top: 0;
    left: 0;
    border-top: 2px solid #827f7f;
    border-left: 2px solid #827f7f;
  }
  
  .contact-button:after {
    bottom: 0;
    right: 0;
    border-bottom: 2px solid #827f7f;
    border-right: 2px solid #827f7f;
  }
  
  .contact-button:after,
  .contact-button:before {
    content: "";
    position: absolute;
    width: 24px;
    height: 24px;
    pointer-events: none;
    transition: all 0.3s cubic-bezier(0.215, 0.610, 0.355, 1);
  }
  
  .contact-button:hover {
    box-shadow: 0 0 30px rgba(129, 128, 126, 0.4),
    0 0 30px rgba(100, 93, 96, 0.4);
    ;
  }
  
  .contact-button:hover:before,
  .contact-button:hover:after {
    width: 100%;
    height: 100%;
  }
  
  .contact-button:hover span {
    top: 100%;
  }
  
  .contact-button:active {
    scale: 0.95;
    box-shadow: 0 0 10px rgba(184, 183, 181, 0.4),
    0 0 10px rgba(34, 33, 33, 0.4);
    ;
  }


/* Contact Form Modal */

.contact-modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    justify-content: center;
    align-items: center;
    z-index: 2000;
    font-family: 'Lato';
}

.contact-modal form {
    width: 400px;
    background: linear-gradient(#212121, #212121) padding-box,
                linear-gradient(145deg, transparent 35%, #e81cff, #40c9ff) border-box;
    border: 1px solid transparent;
    padding: 32px 24px;
    font-size: 14px;
    font-family: inherit;
    color: white;
    display: flex;
    flex-direction: column;
    gap: 20px;
    box-sizing: border-box;
    border-radius: 16px;
    background-size: 200% 100%;
    animation: gradient 10s ease infinite;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

.contact-modal form input,
.contact-modal form textarea,
.contact-modal form button {
    width: 100%;
    padding: 1.45px;
    border: none;
    border-radius: 5px;
    font-size: 1rem;
    font-family: 'Lato';
}

.contact-modal form input,
.contact-modal form textarea {
    background-color: #333;
    color: #fff;
    font-family: 'Lato';
}

.contact-modal form button {
    background-color: #555;
    color: #fff;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-family: 'Lato';
}

.contact-modal form button:hover {
    background-color: #777;
    font-family: 'Lato';
}

.contact-modal .close {
    position: absolute;
    top: 20px;
    right: 20px;
    color: #fff;
    font-size: 2rem;
    cursor: pointer;
}
/* Footer et social */


.social-links {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 10px 0;
    margin-top: 0; /* Supprime tout décalage inutile */
}


.social-links a:nth-child(1) {
    margin-right: 30px; /* Ajuste l’espace entre LinkedIn et Instagram */
}

.social-links img {
    width: 40px;
    height: 40px;
    transition: transform 0.3s ease;
}

.social-links img:hover {
    transform: scale(1.2);
}
footer {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 10px 0;
    margin-top: 10px; /* Évite un trop grand écart avec les social links */
    font-family: 'Lato';
}

.tooltip-container {
    transform: scale(0.4); /* Agrandit tout le bouton Discord de 30% */
    position: relative;
    cursor: pointer;
    transition: all 0.2s;
    font-size: 17px;
    border-radius: 10px;
  }
  
  .tooltip {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    padding: 10px;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s;
    border-radius: 15px;
    box-shadow:
      inset 5px 5px 5px rgba(0, 0, 0, 0.2),
      inset -5px -5px 15px rgba(255, 255, 255, 0.1),
      5px 5px 15px rgba(0, 0, 0, 0.3),
      -5px -5px 15px rgba(255, 255, 255, 0.1);
  }
  
  .profile {
    background: #2a2b2f;
    border-radius: 10px 15px;
    padding: 10px;
    border: 1px solid #5865f2;
  }
  
  .tooltip-container:hover .tooltip {
    top: -200px;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transform: scale(2.0); 
  }
  
  .icon {
    text-decoration: none;
    color: #ffffff;
    display: block;
    position: relative;
  }
  .layer {
    width: 55px;
    height: 55px;
    transition: transform 0.3s;
  }
  .icon:hover .layer {
    transform: rotate(-35deg) skew(20deg);
  }
  .layer span {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    border: 1px solid #fff;
    border-radius: 5px;
    transition: all 0.3s;
  }
  
  .layer span,
  .text {
    color: #5865f2;
    border-color: #5865f2;
  }
  
  .icon:hover.layer span {
    box-shadow: -1px 1px 3px #5865f2;
  }
  .icon .text {
    position: absolute;
    left: 50%;
    bottom: -5px;
    opacity: 0;
    font-weight: 500;
    transform: translateX(-50%);
    transition:
      bottom 0.3s ease,
      opacity 0.3s ease;
  }
  .icon:hover .text {
    bottom: -35px;
    opacity: 1;
  }
  
  .icon:hover .layer span:nth-child(1) {
    opacity: 0.2;
  }
  .icon:hover .layer span:nth-child(2) {
    opacity: 0.4;
    transform: translate(5px, -5px);
  }
  .icon:hover .layer span:nth-child(3) {
    opacity: 0.6;
    transform: translate(10px, -10px);
  }
  .icon:hover .layer span:nth-child(4) {
    opacity: 0.8;
    transform: translate(15px, -15px);
  }
  .icon:hover .layer span:nth-child(5) {
    opacity: 1;
    transform: translate(20px, -20px);
  }
  
  .layer span.fab {
    font-size: 30px;
    line-height: 64px;
    text-align: center;
    fill: #5865f2;
    background: #000;
  }
  .user {
    display: flex;
    gap: 10px;
  }
  .img {
    width: 50px;
    height: 50px;
    font-size: 25px;
    font-weight: 700;
    border: 1px solid #5865f2;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #5865f2;
  }
  .name {
    font-size: 17px;
    font-weight: 700;
    color: #5865f2;
  }
  .details {
    display: flex;
    flex-direction: column;
    gap: 0;
    color: #fff;
  }
  .about {
    color: #ccc;
    padding-top: 5px;
  }


  #cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #333;
    color: #fff;
    padding: 10px;
    text-align: center;
    z-index: 10000;
  }
  #cookie-banner button {
    background-color: #fff;
    color: #333;
    border: none;
    padding: 5px 10px;
    margin-left: 10px;
    cursor: pointer;
    z-index: 10000;
  }
  
/* /////////////////////////////////////////////////////////////////////////////////////////////////////////////////// */
/* /////////////////////////////////////////////////////////////////////////////////////////////////////////////////// */
/* /////////////////////////////////////////////////////////////////////////////////////////////////////////////////// */

@media (max-width: 1024px) {
    .navbar {
        flex-direction: column;
        align-items: center;
        padding-left: 20px;
    }

    .navbar .menu {
        align-items: flex-start;
        font-size: 1px;
    }


    
    .navbar .brand {
        font-size: 1.5rem;
        font-weight: normal;
        font-family: 'Abril Fatface';
        margin-left: 13px;
    }
    
    .navbar .menu li {
        display: inline;
    }
    
    .navbar .menu a {
        text-decoration: none;
        color: #fff;
        font-size: 0.8rem;
        transition: color 0.3s ease;
        margin-top: 10px;
    }
 
    .contact-button {
        bottom: 20px;
        right: 40px;
        padding: 10px 20px;
        font-size: 1rem;
    }


footer {
    padding: 0.1rem;
    margin-top: 30px; 
}

.social-links {
    padding-left: 35px;
}

}
/* /////////////////////////////////////////////////////////////////////////////////////////////////////////////////// */
/* /////////////////////////////////////////////////////////////////////////////////////////////////////////////////// */
/* /////////////////////////////////////////////////////////////////////////////////////////////////////////////////// */
@media (max-width: 768px) {
    body {
        font-size: 14px;
    }

    .navbar {
        flex-direction: column;
        align-items: center;
        padding-left: 20px;
    }

    .navbar .menu {
        align-items: flex-start;
        font-size: 1px;
    }


    
    .navbar .brand {
        font-size: 1.5rem;
        font-weight: normal;
        font-family: 'Abril Fatface';
        margin-left: 0px;
    }
    
    .navbar .menu li {
        display: inline;
    }
    
    .navbar .menu a {
        text-decoration: none;
        color: #fff;
        font-size: 0.8rem;
        transition: color 0.3s ease;
        margin-top: 10px;
    }
    .contact-button {
        right: 40px;
        font-size: 0.9rem;
        padding: 8px 15px;
    }
    .footer {
        padding: 0.1rem;
        margin-top: 30px;
    }

    .social-links {
        padding-left: 35px;
    }
    .burger-menu {
        display: block;
        cursor: pointer;
        width: 30px;
        height: 25px;
        position: absolute;
        right: 20px;
        top: 35px;
        z-index: 9999;
    }
    
    .burger-menu span {
        display: block;
        width: 100%;
        height: 4px;
        background: white;
        position: absolute;
        transition: 0.3s;
    }
    
    .burger-menu span:nth-child(1) {
        top: 0;
    }
    
    .burger-menu span:nth-child(2) {
        top: 10px;
    }
    
    .burger-menu span:nth-child(3) {
        top: 20px;
    }
    
    .burger-menu.active span:nth-child(1) {
        transform: rotate(45deg);
        top: 10px;
    }
    
    .burger-menu.active span:nth-child(2) {
        opacity: 0;
    }
    
    .burger-menu.active span:nth-child(3) {
        transform: rotate(-45deg);
        top: 10px;
    }
    
    .menu {
        display: none;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        background-color: rgba(0, 0, 0, 0.9);
        position: absolute;
        top: 80px;
        left: 0;
        width: 100%;
        text-align: center;
        z-index: 1000;
        padding: 10px 0;
        border-radius: 0;
    }
    
    .menu a {
        padding: 15px;
        display: block;
        width: 100%;
    }
    
    .menu.active {
        display: flex;
    }
    
    /* Masquer la navigation normale */
    .navbar .menu {
        display: none;
    }

    .tooltip-container {
        transform: scale(0.35); /* Agrandit tout le bouton Discord de 30% */
      }
    
      .tooltip-container:hover .tooltip {
        top: -200px;
        transform: scale(1.0); 
      }
}


